@charset "UTF-8";
/*@import 'style-spain.css';
@import 'style-bordeaux.css';*/


.watermark{opacity:.3; pointer-events: none;fill:#fff;}
.lightmint{fill:#69e2cb;stroke:#178e6c;stroke-miterlimit:10;stroke-width:1.5px;}
.mint{fill:#1dbc9d;stroke:#109b80;stroke-miterlimit:10;stroke-width:1.5px;}
.darkmint{fill:#178e6c;stroke:#117059;stroke-miterlimit:10;stroke-width:1.5px;}
.lightgreen{fill:#bdefbd;stroke:#589959;stroke-miterlimit:10;stroke-width:1.5px;}
.green{fill:#8add8a;stroke:#366b39;stroke-miterlimit:10;stroke-width:1.5px;}
.darkgreen{fill:#2fba35;stroke:#366b39;stroke-miterlimit:10;stroke-width:1.5px;}
.mossgreen{fill:#a1be46;stroke:#707a0f;stroke-miterlimit:10;stroke-width:1.5px;}
.darklime{fill:#738e0e;stroke:#566b0b;stroke-miterlimit:10;stroke-width:1.5px;}
.limegreen{fill:#b6e82d;stroke:#366b39;stroke-miterlimit:10;stroke-width:1.5px;}
.beige{fill:#fcbe59;stroke:#e2a042;stroke-miterlimit:10;stroke-width:1.5px;}
.lightturkos{fill:#97efef;stroke:#58d5db;stroke-miterlimit:10;stroke-width:1.5px;}
.turkos{fill:#58d5db;stroke:#1ea8a8;stroke-miterlimit:10;stroke-width:1.5px;}
.darkturkos{fill:#3db7b7;stroke:#06827e;stroke-miterlimit:10;stroke-width:1.5px;}
.orange{fill:#fb9a65;stroke:#e87f4b;stroke-miterlimit:10;stroke-width:1.5px;}
.brown {fill:#db6c35;stroke:#c95928;stroke-miterlimit:10;stroke-width:1.5px;}
.red {fill:#f7375c;stroke:#cc234b;stroke-miterlimit:10;stroke-width:1.5px;}
.pink {fill:#fc54b8;stroke:#9b2a7e;stroke-miterlimit:10;stroke-width:1.5px;}
.lightsalmon {fill:#fccdcd;stroke:#ce847e;stroke-miterlimit:10;stroke-width:1.5px;}
.salmon {fill:#dd9590;stroke:#ba6d67;stroke-miterlimit:10;stroke-width:1.5px;}
.lightestpink {fill:#f3c3f4;stroke:#f9a5f9;stroke-miterlimit:10;stroke-width:1.5px;}
.lightpink {fill:#f9a5f9;stroke:#b554cc;stroke-miterlimit:10;stroke-width:1.5px;}
.darkpink {fill:#ce11a2;stroke:#930979;stroke-miterlimit:10;stroke-width:1.5px;}
.lightpurple {fill:#e1d2f7;stroke:#834fc6;stroke-miterlimit:10;stroke-width:1.5px;}
.purple {fill:#b396e2;stroke:#60098e;stroke-miterlimit:10;stroke-width:1.5px;}
.darkpurple {fill:#774fb7;stroke:#60098e;stroke-miterlimit:10;stroke-width:1.5px;}
.lightyellow {fill:#fceeb6;stroke:#e2ac5d;stroke-miterlimit:10;stroke-width:1.5px;}
.yellow {fill:#efe350;stroke:#d6ca34;stroke-miterlimit:10;stroke-width:1.5px;}
.darkyellow {fill:#f4cb1e;stroke:#96661a;stroke-miterlimit:10;stroke-width:1.5px;}
.blue {fill:#69b7f7;stroke:#1a9ac6;stroke-miterlimit:10;stroke-width:1.5px;}
.darkblue {fill:#0674b7;stroke:#1a9ac6;stroke-miterlimit:10;stroke-width:1.5px;}


#winemap-menu {
    margin-top: 0px;
    margin-bottom: 50px;
}
#map-viewport {
    max-width: 1200px; /* Din önskade fasta bredd */
    overflow: hidden;
    position: relative;
    min-height: 500px; /* Eller den genomsnittliga höjden på dina kartor */
    background-color: var(--se-ivory);
    border-radius: 12px;
}

#map-wrapper {
    will-change: filter, opacity;
    position: relative;
    z-index: 1;
    width: 100%;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    transform-origin: center center;
    transform-style: preserve-3d;
    perspective: 1000px;
    transition: filter 0.5s ease, opacity 0.4s ease;
}
.map-loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 10;
}

.spinner {
    width: 50px;
    height: 50px;
    border: 5px solid var(--se-sand);
    border-top: 5px solid var(--se-green);
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin: 10px auto;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}


@media (max-width: 767px) {
    #map-wrapper {
        height: auto;
    }
}
#close-map {
    display: none;
    border-radius: 0px;
    flex: 1; /* Tar upp 1/3 av ytan */
    justify-content: center;
    display: inline-flex; /* Gör knappen till en flex-behållare */
    align-items: center;  /* Centrerar ikon och text vertikalt */
    gap: 8px;             /* Ger ett snyggt avstånd mellan pilen och texten */
    cursor: pointer;
    padding: 0;
}
body.showingMap #close-map{
    display: inline-flex !important;
}
@media (max-width: 900px) {
    #close-map {
        width: 100%;
        padding: 10px;
    }
    #map-viewport {
        margin: 205px auto 80px auto;
    }
}
@media (min-width: 901px) {
    #close-map {
        min-width: 200px;
        padding: 11px;
    }
    #map-viewport {
        margin: 140px auto 20px auto;
    }
}
/*
#map-wrapper::before {
    content: "";
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    background-image: inherit;
    background-size: cover;
    background-position: center;
    background-attachment: scroll !important;
    z-index: -1;
    transition: filter 0.5s ease;
}

#map-wrapper::before {
    background-size: contain;
    background-repeat: no-repeat;
}*/

/* När vi vill gråa ner enbart bakgrunden */
#map-wrapper.is-answering img {
    filter: grayscale(100%);
}

.showingMap.page-template-map-headless .top-bar {
    position: fixed !important;
    z-index: 1000;
    width: 100%
}

.showingMap.page-template-map-headless .nv-post-cover,
.showingMap.page-template-map-headless .header {
    display: none;
}

/*After each css element add one new  with same name but with prefix “label-“, for example #blaye - add element #label-blaye. Copy the css style to the new element, but higher “top” with 3%, “left” higher with 1%, and “width# remove. Add “ !important” to all the new styles*/
.no-access-title {
    opacity: 0.6;
}

.map-link {
    font-weight: 400;
}

.showingMap #map-page .header {
    position: fixed;
}
#map {
    width: 100%;
    position: relative;
    max-width: 1200px;
    margin: 120px auto 50px auto;
}

.map {
    width: 100%;
    pointer-events: none;
}

.region {
    transition: all 0.3s ease;
    cursor: pointer;
    position: absolute;
    z-index: 1;
    pointer-events: none;
    opacity: 0.9;
    will-change: transform, filter; /* Förbereder webbläsaren */
    transform: scale(1) translateZ(0); /* Tvingar GPU-läge */
    backface-visibility: hidden;
}
.region.is-gray .clshover {
    fill: #c9c2b8 !important;
    stroke: #9b9489 !important;
    opacity: 1;
}
.region.is-correct .clshover { fill: #12b216 !important; stroke: #106810; opacity: 1 !important; }
.region.is-wrong .clshover{ fill: #b21212 !important; stroke: #840d0d; opacity: 1 !important; }

.region .clshover {
    pointer-events: fill;
}
.region.focused {
    opacity: 1;
    -webkit-filter: drop-shadow(1px 1px 2px #000) saturate(150%) brightness(95%);
    filter: drop-shadow(1px 1px 2px #000) saturate(150%) brightness(95%);
    z-index: 4;
    cursor: pointer;
}

.region.zoomed {
    opacity: 1;
    transform: scale(1.2) translateZ(0);
    transform-origin: center center;
    z-index: 10 !important;
    //-webkit-filter: drop-shadow(1px 1px 2px #000) saturate(150%) brightness(95%);
    //filter: drop-shadow(1px 1px 2px #000) saturate(150%) brightness(95%);
}

.region.focused .clshover, .region.zoomed .clshover {stroke:#000000;}

.label {
    z-index: 200;
    position: absolute;
    font-size: 12px;
    line-height: 13px;
    pointer-events: none;
    max-width: 7%;
    font-weight: 200;
}
@media (max-width: 767px) {
    .label {
        font-size: 9px;
        line-height: 9px;
    }
}

#show {
    position: absolute;
    right: 0px;
    top: 0px;
    padding: 5px 12px;
    cursor: pointer;
    font-size: 20px;
}

#map-bg-image {
    border: 1px solid #ccc;
}

#score {
    height: auto;
    padding: 5px 15px;
    background-color: #ffffff;
    border: 1px solid #ccc;
    width: 100%;
    max-width: 1200px;
    top: 0;
    z-index: 500;
    transform-origin: top left;
    position: fixed !important;
    white-space: nowrap;
    text-align: center;
    visibility: hidden; /* Dölj dem initialt */
    opacity: 0;
    transition: opacity 0.2s ease-in;
    min-height: 100px; /* Justera detta värde så det matchar din högsta panelhöjd */
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#question {
    display: block;
    width: 100%;
    min-height: 43px;
}
#question .target-region {
    font-size: 25px;
    font-weight: bold;
}
#question .instruction-prefix {
    display: block; /* Lägger instruktionen på en egen rad ovanför */
    font-size: 0.6em;
    text-transform: uppercase;
    color: #666;
    letter-spacing: 1px;
    margin-bottom: -5px; /* Drar ihop raderna lite */
}

#points {
    height: 20px; /* Samma höjd som dina cirklar + lite marginal */
    display: flex;
    justify-content: center;
    align-items: center;
}
#points span {
    display: inline-block;
    width: 15px;
    height: 15px;
    border: 1px solid var(--se-darksand);
    border-radius: 50%;
    margin-right: 10px;
}
#start {
    background-color: var(--se-text);
    color: white;
    font-size: 20px;
    text-transform: uppercase;
    padding: 10px;
    display: block;
    text-align: center;
    font-weight: 600;
    border-radius: 15px;
    max-width: 400px;
    margin: 5px auto 5px auto;
    width: 100%;
}
#correct,
#wrong {
    display: none;
    position: absolute;
    color: red;
    font-size: 15px;
    pointer-events: none;
    z-index: 101;
}
#correct {
    color: var(--se-green);
}
#info-title {color: var(--se-green); margin-top: 0;}
#info-desc {color: var(--se-text); line-height: 1.6; font-size: 1.1em;}

@media (max-width: 767px) {
    #score {
        padding: 7px 15px;
    }
    #question {
        font-size: 17px;
    }
    #start {
        font-size: 13px;
        padding: 6px;
    }
    #show {
        font-size: 19px;
        padding: 5px 10px;
    }
    #points {
        margin-bottom: 3px;
    }
    #points span {
        width: 14px;
        height: 14px;
        margin-right: 5px;
    }

}

/*
.region:hover {
    transform: scale(1.1);
    -webkit-filter: drop-shadow(3px 3px 3px #666);
    filter: drop-shadow(3px 3px 3px #666);
}*/
#map-info-box {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto 40px auto;
    background-color: var(--se-sand);
    padding: 20px;
    border-radius: 10px;
}



#touraine,
#languedoc,
#anjou,
#nantais {opacity: 0.6;}